{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidAnnee }}</div>
{% endblock %}

{% block formulaire %}
    {# Génération du label. #}
    {% if poForm.cnom is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.cnom, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {# Génération du label. #}
    {% if poForm.ddebut is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.ddebut, "Début ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.ddebut, {'attr': {'data-role': 'cboDate', 'class':'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    {# Génération du label. #}
    {% if poForm.dfin is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.dfin, "Fin ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}
            <div class="col-sm-10 col-md-10 col-lg-10">
            {{ form_widget(poForm.dfin, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
{% endblock %}
